# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-tap-plugins
Summary:		TAP-plugins (Tom's Audio Processing plugins) LADSPA plugins
Version:		0.7.1
Release:		0.pm.2.3
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
Source:			tap-plugins-%{version}.tar.gz
URL:			http://tap-plugins.sourceforge.net/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++

%description
TAP-plugins is a bunch of LADSPA plugins for audio processing.

AUTHOR: Tom Szilagyi <tszilagyi@users.sourceforge.net>



%prep
%setup -q -n tap-plugins-%{version}

%build
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall \
	INSTALL_PLUGINS_DIR=%{buildroot}%{_libdir}/ladspa \
	INSTALL_LRDF_DIR=%{buildroot}%{_datadir}/ladspa/rdf

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc COPYING CREDITS README
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*
%dir %{_datadir}/ladspa
%dir %{_datadir}/ladspa/rdf
%{_datadir}/ladspa/rdf/*.rdf

%changelog
* Sun Oct 25 2009 Toni Graffy <toni@links2linux.de> - 0.7.1-0.pm.1
- update to 0.7.1
- A bugfix version of TAP-plugins has been released. It aims to fix:
  - problems on 64-bit (silence in EQ, etc)
  - denormal problems
  - GCC compiler warnings
  - uninitialised variables (detected via Valgrind)
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 0.7.0-0.pm.1
- splitt-off from ladspa package
